=== debian/changelog ===
alfont (2.0.9-maemo1) unstable; urgency=low

  * Fremantle packaging
  * alfont-2.0.9-linux.patch (from ArcLinux)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 May 2011 21:32:59 +0200
