=== debian/control ===
Source: alfont
Section: libs
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5), libfreetype6-dev, liballegro4.2-dev
Standards-Version: 3.7.2

Package: alfont
Architecture: any
Depends: ${shlibs:Depends}, openrdate
Description: AllegroFont: http://chernsha.sitesled.com/
 Contains runtime libraries and development headers.
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
