=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure:

config.status: configure
	dh_testdir


build: build-stamp

build-stamp:  config.status
	dh_testdir
	gcc -fPIC -DPIC -O2 -Iinclude `freetype-config --cflags` -o src/alfont.o -c src/alfont.c  
	gcc -O2 -shared -Wl,-soname,libalfont.so.2 -o libalfont.so.2.0.9 src/alfont.o `freetype-config --libs` `allegro-config --libs |sed 's/-lalleg_unsharable//'`  

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	#Folders:
	install -d ${CURDIR}/debian/alfont/usr/lib/  
	install -d ${CURDIR}/debian/alfont/usr/include/  

	#Files
	install -m 755 libalfont.so.2.0.9 ${CURDIR}/debian/alfont/usr/lib/  
	install -m 644 include/alfont*.h ${CURDIR}/debian/alfont/usr/include/  

	#Symlinks
	ln -s libalfont.so.2.0.9 ${CURDIR}/debian/alfont/usr/lib/libalfont.so.2.0  
	ln -s libalfont.so.2.0.9 ${CURDIR}/debian/alfont/usr/lib/libalfont.so.2  
	ln -s libalfont.so.2.0.9 ${CURDIR}/debian/alfont/usr/lib/libalfont.so 

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
