=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: alfont
 Architecture: any
-Depends: ${shlibs:Depends}, openrdate
+Depends: ${shlibs:Depends}
 Description: AllegroFont: http://chernsha.sitesled.com/
  Contains runtime libraries and development headers.
 XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
